package guinand.mobapp.iuttpdessinintent;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

public class Comptage extends AppCompatActivity {

    public final static String COMPTE = "comptage";
    String texte, motif;
    int nbOccurrences = 0;
    TextView tvTexte, tvMotif, tvComptage;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_comptage);
        Intent intent = getIntent();
        texte = intent.getStringExtra(Home.TEXT);
        motif = intent.getStringExtra(Home.MOTIF);
        tvTexte = findViewById(R.id.tvtexte);
        tvTexte.setText(texte);
        tvMotif = findViewById(R.id.tvmotif);
        tvMotif.setText(motif);
        tvComptage = findViewById(R.id.tvcompte);
        nbOccurrences = comptage();
        tvComptage.setText(""+nbOccurrences);

    }


    private int comptage() {
        int nb = 0;
        int longueurMotif = motif.length();
        for(int i=0;i<texte.length()-longueurMotif+1;i++) {
            if(texte.substring(i,i+longueurMotif).matches(motif)) {
                nb++;
            }
        }
        return nb;
    }

    public void quit(View v) {
        Intent retour = new Intent();
        retour.putExtra(COMPTE,nbOccurrences);
        setResult(RESULT_OK,retour);
        this.finish();
    }

}
